% This database (BTAS2016/Reading Cross-Spectrum Iris/Periocular Dataset) is
% available from www.crosseyed.eu % added on 18th July 2016
% This dataset is similar to polyu cross-spectral database and also has
% pixel correspondences between NIR and VW images. Therefore the
% segmentation can be done from NIR and used to segment VW images
% However following parameters may also be used for directly segmenting iris from VW
% eye images
%% parameters
extend = [0.6, 1.35];       % range of faction of radius to calculate threshold
i_radiusRange = [90, 120];    % possible range of radius of iris circle
searchRange = 10;           % search range for center of iris circle
src_type = 'bmp';          % file type of source image
hsiz = 300;                 % parameter for SSR enhancement; size of Gaussian kernel
gau_size = 7;
quality_thresh = 0.5;

%% Please end all the paths with "/" or "\"
src_dir = 'additional/cross_iris/vw/';   % path of source images
out_dir = 'additional/cross_iris/vw/mask/'; % path of output directory
fail_dir = 'additional/cross_iris/vw/mask/failed/';
circle_dir = 'additional/cross_iris/vw/mask/circles/';

save_inter_image = true;   % save internal image or not. if yes, assign and create the following folder    
inter_dir = 'additional/cross_iris/vw/mask/inter/';

segment_VW

