% This database is publicly available from http://www.comp.polyu.edu.hk/~csajaykr/polyuiris.htm
% Since NIR and VW images have full pixel correspondences, NIR segmentation can be directly mapped to VW Images
% The parameters in the folllowing may be used to segment only VW images

%% parameters
extend = [0.6, 1.35];       % range of faction of radius to calculate threshold
i_radiusRange = [90, 130];    % possible range of radius of iris circle
searchRange = 20;           % search range for center of iris circle
src_type = 'tif';          % file type of source image
hsiz = 300;                 % parameter for SSR enhancement; size of Gaussian kernel
gau_size = 7;
quality_thresh = 0.5;

%% Please end all the paths with "/" or "\"
src_dir = 'additional/polyu_cross/vw/';   % path of source images
out_dir = 'additional/polyu_cross/vw/mask/'; % path of output directory
fail_dir = 'additional/polyu_cross/vw/mask/failed/';
circle_dir = 'additional/polyu_cross/vw/mask/circles/';

save_inter_image = true;   % save internal results or not. if yes, assign following
                            % folder values.

inter_dir = 'additional/polyu_cross/vw/mask/inter/';

segment_VW